al_ustr_replace_range(3)

NAME

al_ustr_replace_range - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_ustr_replace_range(ALLEGRO_USTR *us1, int start_pos1, int end_pos1,
       const ALLEGRO_USTR *us2)

DESCRIPTION

Replace the part of us1 in the byte interval [start_pos1, end_pos1) with the contents of us2. start_pos1 cannot be less than 0. If start_pos1 is past the end of us1 then the space between the end of the string and start_pos1 will be padded with NUL ('\0') bytes.

Use al_ustr_offset(3) to find the byte offsets.

Returns true on success, false on error.

SEE ALSO

al_ustr_set_chr(3)